#
# spec file for package patterns-haskell
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-haskell
Version:        20170319
Release:        lp150.1.3
Summary:        Patterns for Installation (Haskell)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the Haskell pattern.

################################################################################

%package haskell_platform
%pattern_development
Summary:        Haskell Platform
Group:          Metapackages
Provides:       pattern() = haskell_platform
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 3400
Provides:       pattern-visible()
Requires:       alex
Requires:       cabal-install
Requires:       ghc
Requires:       ghc-Cabal-devel
Requires:       ghc-GLURaw-devel
Requires:       ghc-GLUT-devel
Requires:       ghc-HTTP-devel
Requires:       ghc-HUnit-devel
Requires:       ghc-ObjectName-devel
Requires:       ghc-OpenGL-devel
Requires:       ghc-OpenGLRaw-devel
Requires:       ghc-QuickCheck-devel
Requires:       ghc-StateVar-devel
Requires:       ghc-array-devel
Requires:       ghc-async-devel
Requires:       ghc-attoparsec-devel
Requires:       ghc-base-devel
Requires:       ghc-case-insensitive-devel
Requires:       ghc-containers-devel
Requires:       ghc-deepseq-devel
Requires:       ghc-directory-devel
Requires:       ghc-exceptions-devel
Requires:       ghc-fgl-devel
Requires:       ghc-filepath-devel
Requires:       ghc-hashable-devel
Requires:       ghc-haskell-src-devel
Requires:       ghc-hpc-devel
Requires:       ghc-html-devel
Requires:       ghc-mtl-devel
Requires:       ghc-multipart-devel
Requires:       ghc-network-devel
Requires:       ghc-network-uri-devel
Requires:       ghc-old-locale-devel
Requires:       ghc-old-time-devel
Requires:       ghc-parallel-devel
Requires:       ghc-parsec-devel
Requires:       ghc-pretty-devel
Requires:       ghc-primitive-devel
Requires:       ghc-process-devel
Requires:       ghc-random-devel
Requires:       ghc-regex-base-devel
Requires:       ghc-regex-compat-devel
Requires:       ghc-regex-posix-devel
Requires:       ghc-scientific-devel
Requires:       ghc-split-devel
Requires:       ghc-stm-devel
Requires:       ghc-syb-devel
Requires:       ghc-template-haskell-devel
Requires:       ghc-text-devel
Requires:       ghc-tf-random-devel
Requires:       ghc-time-devel
Requires:       ghc-transformers-compat-devel
Requires:       ghc-transformers-devel
Requires:       ghc-unix-devel
Requires:       ghc-unordered-containers-devel
Requires:       ghc-vector-devel
Requires:       ghc-xhtml-devel
Requires:       ghc-zlib-devel
Requires:       happy
Requires:       hscolour
Recommends:     ghc-mod
Recommends:     hlint
Suggests:       pointfree
Suggests:       pointful

%description haskell_platform
The Haskell Platform is the easiest way to get started with programming Haskell.
It comes with all you need to get up and running. 
Think of it as "Haskell: batteries included."

%files haskell_platform
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/haskell_platform.txt

################################################################################

%prep

%build

%install
mkdir -p %{buildroot}/%{_defaultdocdir}/patterns/
echo 'This file marks the pattern haskell_platform to be installed.' >%{buildroot}/%{_defaultdocdir}/patterns/haskell_platform.txt

%changelog
* Tue Jan  2 2018 psimons@suse.com
- Drop obsolete cgi library; we cannot build that package in an
  LTS-10.x environment.
* Mon Apr 10 2017 jengelh@inai.de
- Use macros over old $RPM shell vars.
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
